Subject: Re: User buffers and cache flushing.

From: Dan Malek <[email-masked]>
Date: Thu, 09 Mar 2000 21:49:10 -0500

Greg Johnson wrote:

> ....Since I
> am not wanting to be double handling this data, and the data will
> most likely be fragmented in memory,

That's no problem, CPM buffer descriptors are made for that.

> ....and call flush_dcache_range on each of these fragments.

Depends upon how the data is handled.  In some cases I find it is
faster to just map the pages uncached and skip the cache push.  Do
some system design and analysis to determine what works best.

> Have I overlooked anything? (other than the lack of support for IDMA
> currently in the MPC8xx kernel)

This is pretty trivial, considering all CPM devices use the same DMA
engine as IDMA.  Take an existing driver, rip the guts of data comm
out of it, and you nearly have the IDMA driver.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/